Salvar um histórico de atributo

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/user-attributes-hist/save

Salva ou atualiza um histórico de atributo de um usuário existente na base.

application/json

Body Required

obj

  • createdAt string(date-time)
  • createdBy string
  • updatedAt string(date-time)
  • updatedBy string
  • userAttributesHistId object
    Hide userAttributesHistId attributes Show userAttributesHistId attributes object
    • sessionId integer(int64)
    • userAttributesId integer(int64)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • createdAt string(date-time)
    • createdBy string
    • updatedAt string(date-time)
    • updatedBy string
    • userAttributesHistId object
      Hide userAttributesHistId attributes Show userAttributesHistId attributes object
      • sessionId integer(int64)
      • userAttributesId integer(int64)
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/user-attributes-hist/save
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/user-attributes-hist/save' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"createdAt":"2026-05-04T09:42:00Z","createdBy":"string","updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string","userAttributesHistId":{"sessionId":42,"userAttributesId":42}}'
Request examples
{
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string",
  "userAttributesHistId": {
    "sessionId": 42,
    "userAttributesId": 42
  }
}
Response examples (200)
{
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string",
  "userAttributesHistId": {
    "sessionId": 42,
    "userAttributesId": 42
  }
}